# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   python-learn
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/8 10:28
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from My_APIAuto_demo.common.db import DB
from My_APIAuto_demo.requests_method.requests_method import RequestMethod


@pytest.fixture(scope="session")
def rep_fix():
    rep = RequestMethod()
    yield rep


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()


def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")